import org.faceless.pdf2.*;
import java.io.*;
import java.util.*;

// One of the most common requests we get is "How do I join two
// documents together". This example shows just that, in the
// simplest way possible. The "getPages()" method here is only
// being used to add pages to the end, but as it returns a
// java.util.List it's easy to manipulate the list as necessary.
//
// $Id: Concatenate.java,v 1.4 2003/11/03 10:56:14 mike Exp $
//
public class Concatenate
{
    public static void main(String[] args) throws IOException
    {
	if (args.length<2) {
	    System.out.println("Usage: java Concatenate <file1> <file2> ... <filen>");
	    System.out.println("       Creates file \"Concatenate.pdf\"");
	    System.exit(0);
	}


	PDF pdf = new PDF(new PDFReader(new FileInputStream(args[0])));

	for (int i=1;i<args.length;i++)
	{
	    // Load the PDF to be concatenated
	    //
	    FileInputStream in = new FileInputStream(args[i]);
	    PDF newpdf = new PDF(new PDFReader(in));
	    in.close();

	    // Move all the pages from "newpdf" to "pdf"
	    // Move all the form fields from "newpdf" to "pdf"
	    //
	    // In version 1, the form fields were moved with the pages.
	    // Not so in version 2! If you want them you have to move
	    // them yourself.
	    //
	    pdf.getPages().addAll(newpdf.getPages());
	    pdf.getForm().getElements().putAll(newpdf.getForm().getElements());
	}

	pdf.render(new FileOutputStream("Concatenate.pdf"));
    }
}
