import java.util.*;
import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.awt.Color;
import org.faceless.pdf2.*;

// A Hello World servlet. This is *identical* to HelloWorld.java, except
// for the method names and the last 3 lines.
//
public class HelloServletWorld extends HttpServlet
{
    public void doPost(HttpServletRequest req, HttpServletResponse res)
        throws ServletException, IOException
    {
        doGet(req,res);
    }

    public void doGet(HttpServletRequest req, HttpServletResponse res)
        throws ServletException, IOException
    {
	// Create a new PDF
	PDF pdf = new PDF();

	// Create a new page
	//
	PDFPage page = pdf.newPage(PDF.PAGESIZE_A4);

	// Create a new "style" to write in - Black 24pt Helvetica.
	//
	PDFStyle mystyle = new PDFStyle();
	mystyle.setFont(new StandardFont(StandardFont.HELVETICA), 24);
	mystyle.setFillColor(Color.black);

	// Put something on the page.
	//
	page.setStyle(mystyle);
	page.drawText("Hello, PDF-viewing World!", 100, page.getHeight()-100);

	// Automatically go to this page when the document is opened,
	// zoom to fit.
	//
        pdf.setAction(Event.OPEN, PDFAction.goToFit(page));

	// Add some document info
	//
	pdf.setInfo("Author", "Joe Bloggs");
	pdf.setInfo("Title", "My First Document");

	// Write the PDF to the servlet output stream. Set the Content-Type,
	// which is obvious, and the Content-Length, which isn't that obvious.
	// Some setups, particularly with the PDF plugin, require this header
	// to be set.
	//
	// First render to a byte array, then write it to the servlet response.
	//
	ByteArrayOutputStream tempout = new ByteArrayOutputStream();
	pdf.render(tempout);
	res.setContentType("application/pdf");
	res.setContentLength(tempout.size());
	tempout.writeTo(res.getOutputStream());
    }
}
