// $Id: HelloWorld.java,v 1.2 2003/11/03 10:56:14 mike Exp $

import java.util.*;
import java.io.*;
import java.awt.Color;
import org.faceless.pdf2.*;

// Yes, it's the Hello World example.
//
public class HelloWorld
{
    public static void main(String[] args)
    {
	// Create a new PDF
	PDF pdf = new PDF();

	// Create a new page
	//
	PDFPage page = pdf.newPage(PDF.PAGESIZE_A4);

	// Create a new "style" to write in - Black 24pt Helvetica.
	//
	PDFStyle mystyle = new PDFStyle();
	mystyle.setFont(new StandardFont(StandardFont.HELVETICA), 24);
	mystyle.setFillColor(Color.black);

	// Put something on the page.
	//
	page.setStyle(mystyle);
	page.drawText("Hello, PDF-viewing World!", 100, page.getHeight()-100);


	// Automatically go to this page when the document is opened,
	// zoom to fit.
	//
	pdf.setAction(Event.OPEN, PDFAction.goToFit(page));

	// Add some document info
	//
	pdf.setInfo("Author", "Joe Bloggs");
	pdf.setInfo("Title", "My First Document");


	// Write the document to a file
	//
	try {
	    OutputStream fo = new FileOutputStream("HelloWorld.pdf");
	    pdf.render(fo);
	    fo.close();
	}
	catch (Exception e) {
	    e.printStackTrace();
	    System.exit(1);
	}
    }
}
