@ECHO OFF
::
:: A batch file to run the examples.
::
set OLDCLASSPATH=%CLASSPATH%
set CLASSPATH=.;..\bfopdf.jar

javac Annotations.java BatchFormFill.java CharacterMap.java Colors.java Concatenate.java CreateBook.java Dump.java Fonts.java FormCreation.java FormFill.java FormProcess.java FormVoodoo.java HelloUnicodeWorld.java HelloWorld.java Images.java ImageToPDF.java LayoutExample.java PageStitch.java Rotate.java Sign.java Stamp.java Unicode.java


@ECHO Running HelloWorld
java HelloWorld
@ECHO Running Rotate
java Rotate
@ECHO Running Images
java Images
@ECHO Running Fonts
java Fonts
@ECHO Running Colors
java Colors
@ECHO Running Concatenate
java Concatenate HelloWorld.pdf Rotate.pdf Images.pdf Colors.pdf
@ECHO Running Annotations
java Annotations
@ECHO Running LayoutExample
java LayoutExample
@ECHO Running ImageToPDF
java ImageToPDF resources\demon.tif
@ECHO Running CharacterMap for Times-Roman
java CharacterMap --builtin Times-Roman
@ECHO Running CreateBook
java CreateBook
@ECHO Running Stamp
java Stamp CreateBook.pdf
@ECHO Running PageStitch
java PageStitch Rotate.pdf HelloWorld.pdf Annotations.pdf Fonts.pdf CharacterMap.pdf

@ECHO Running FormCreation
java FormCreation
@ECHO Running FormFill FormCreation.pdf
java FormFill FormCreation.pdf
@ECHO Running FormProcess FormFill.pdf
java FormProcess FormFill.pdf
@ECHO Running FormVoodoo
java FormVoodoo
@ECHO Running BatchFormFill
java BatchFormFill
@ECHO Running HelloUnicodeWorld with %windir%\fonts\times.ttf
java HelloUnicodeWorld %windir%\fonts\times.ttf
@ECHO Running Unicode with %windir%\fonts\times.ttf
java Unicode %windir%\fonts\times.ttf

@ECHO Running Dump on Annotations.pdf
java Dump Annotations.pdf


@ECHO Skipping Sign - need a digital signature

set CLASSPATH=%OLDCLASSPATH%
set OLDCLASSPATH=
