#!/bin/sh

# Run all the examples

ARGS=-Djava.awt.headless=true		# Not needed, but useful when running on Mac OSX
CLASSPATH=.:../bfopdf.jar
export CLASSPATH ARGS
javac Annotations.java BatchFormFill.java CharacterMap.java Colors.java Concatenate.java CreateBook.java Dump.java Fonts.java FormCreation.java FormFill.java FormProcess.java FormVoodoo.java HelloUnicodeWorld.java HelloWorld.java Images.java ImageToPDF.java LayoutExample.java PageStitch.java Rotate.java Sign.java Stamp.java Unicode.java

echo Running HelloWorld && java $ARGS HelloWorld
echo Running Rotate && java $ARGS Rotate
echo Running Images && java $ARGS Images
echo Running Fonts && java $ARGS Fonts
echo Running Colors && java $ARGS Colors
echo Running Concatenate && java $ARGS Concatenate HelloWorld.pdf Rotate.pdf Images.pdf Colors.pdf
echo Running Annotations && java $ARGS Annotations
echo Running LayoutExample && java $ARGS LayoutExample
echo Running ImageToPDF && java $ARGS ImageToPDF resources/demon.tif
echo Running CharacterMap for Times-Roman && java $ARGS CharacterMap --builtin Times-Roman
echo Running CreateBook && java $ARGS CreateBook
echo Running Stamp && java $ARGS Stamp CreateBook.pdf
echo Running PageStitch && java $ARGS PageStitch Rotate.pdf HelloWorld.pdf Annotations.pdf Fonts.pdf CharacterMap.pdf
echo Running FormCreation && java $ARGS FormCreation
echo Running FormFill && java $ARGS FormFill FormCreation.pdf
echo Running FormProcess && java $ARGS FormProcess FormFill.pdf
echo Running FormVoodoo && java $ARGS FormVoodoo
echo Running BatchFormFill && java $ARGS BatchFormFill

echo Running Dump on Annotations.pdf && java $ARGS Dump Annotations.pdf

echo Skipping Sign - need a digital signature
echo Skipping HelloUnicodeWorld - need to know a TrueType font first
# java $ARGS HelloUnicodeWorld /path/to/times.ttf
echo Skipping Unicode - need to know a TrueType font first
# java $ARGS Unicode /path/to/times.ttf
